import { test, expect } from '@playwright/test';

test('Login page', async ({ page }) => {
   // Navigate to the login page
   await page.goto('http://185.100.212.76:8200');
 // Navigate to the sign-up page
   await page.getByText('Register here!').click();
   await page.waitForTimeout(3000);
   await page.getByPlaceholder('Username').fill('RamkumarP');
   await page.getByPlaceholder('Email').fill('ramkumar12@tester.local');
   await page.getByPlaceholder('Password').fill('12345678');
   await page.locator('input[type="checkbox"]').first().check(); // Checks the first checkbox
   await page.waitForTimeout(3000);
   await page.getByRole('button', { name: 'Register', exact: true }).click();
   await page.waitForTimeout(2000);
   await page.getByRole('button', { name: 'Continue', exact: true }).click();
   await page.waitForTimeout(10000);

  //  await page.goto('http://185.100.212.76:8200/project');
  //  await page.waitForTimeout(10000);

   

});